CHANGELOG for ClamTk:

5.27 - Feb 2 2019
------------------
        * Update options for new ClamAV (0.101.0)
        * Update language files: Swedish (sv), Japanese (ja)
        * Language files will begin to incorporate new "Language" field
        * Language files are now BSD because Launchpad.
            https://help.launchpad.net/Translations/LicensingFAQ
        * Update year to 2019; 15th year :)

5.26 - Aug 25 2018
------------------
        * UI change to single-click
        * Update year to 2018; 14th year :)
        * Updates to the man pages
        * Update Swedish (sv) language file for Launchpad #1688469
        * Begin move to https://gitlab.com/dave_m/clamtk

5.25 - Sep 4 2017
-----------------
        * Begin thirteenth year :)
        * Use xz instead of gz for source. See this link for size
          comparison: https://goo.gl/bgfZYq
        * Remove forced white background (Github #51)
        * Update bitbucket path in various places
        * Use "other" for infobar button type (Github #51)
        * Updated language files: Chinese (zh_TW), Italian (it),
          English (en_AU), Dutch (nl), French (fr), Hungarian (hu),
          Swedish (sv)

5.24 - Nov 18 2016
------------------
        * Fix startup crash when icon theme lacks 'gtk-new' or other
          icon with Arch patch. Thanks to anthraxx. Closes BZ #1386370
        * Initial credits.md file showing contributors
        * Add comments line in About dialog to translation file
        * Removed built-in help documentation until updated
          and translated
        * Updated language files: Ukrainian (uk), Hebrew (he),
          English (en_UK), Galician (gl), Italian (it), Finnish (fi)

5.23 - Oct 29 2016
------------------
        * Fix Github #67 (Directories not scanning under Linux Mint 18
          KDE [LiveUSB])

5.22 - Sep 17 2016
------------------
        * Directories not scanning if users home includes
          /sys or /dev (Github #61).
        * Fix all of Github #59 (max-scansize)
        * Fix to names of whitelisted directories with extra ";"
        * Update website in About dialog as github.io
        * Begin digitally signing rpms again, like debs
        * Updated language files: pt_BR, en_AU, sv

5.21 - Aug 21 2016
------------------
        * Update man pages to include updated URLs for bug reporting
        * Explicitly add archive scanning (Github #59)
        * Removed most monospacing as requested
        * Improved text layout
        * Updated language files: (ja), Indonesian (id), Polish (pl),
          Esperanto (eo), Spanish (es), Danish (da), Malay (ms)

5.20 - Sep 6 2015
-----------------
        * Remove nautilus as dependence for clamtk (BZ #1260284)
        * Updated language files: Khmer (km), Thai (th), Lao (lo),
          French (fr)

5.19 - June 26 2015
-------------------
        * Minor fix for History view and row selection (iter)
        * Minor tweak to improve display of objects scanned
        * Continue replacing Windows -> boxes
        * Updated language files: Korean (ko_KR), Italian (it)

5.18 - May 9 2015
-----------------
        * Improvements with Results window
        * Minor tweak on PUA-identified files
        * Add github bug reporting page to help documentation
        * Updated language files: Indonesian (id), Uzbek (uz), Finnish (fi),
          Ukrainian (uk), Galician (gl), German (de), Hebrew (he),
          English (en_UK), Chinese (zh_TW), Korean (ko_KR), Dutch (nl)

5.17 - Apr 11 2015
------------------
        * Fix crash with Results window
        * Remove freecode references from help files

5.16 - Apr 10 2015
------------------
        * Properly destroy Results window
        * Fix incorrect version in legacy build
        * Fix progressbar count issue for when recursive is
          not selected
        * Improve hidden files scanning/counting
        * Update website page to github
        * Updated language files: French (fr), Polish (pl)

5.15 - Mar 5 2015
-----------------
        * Speed up file count/progressbar when directory
          chosen for scanning is root (/) by switching to
          progressbar's activity mode (no % complete)
        * Minor fix to keep window open after closing Results
          when main window is open
        * Fix window doesn't always show
        * Updated language files: Sinhalese (si), Croatian (hr), Dutch (nl)

5.14 - Feb 13 2015
------------------
        * Add more meaningful progressbar back; requires
          File::Find (usually bundled, shouldn't add new requirements)
        * Fix language file text gets inserted into Update process
          for some ridiculous reason
        * Add more obvious notice for files that are too big to upload
          for Analysis (32MB limit through API)
        * Add more meaningful messages when trying to scan
          files/directories if user does not have permissions
        * Fix for when quit button requires more than one click
        * Minor font tweak to prevent words from being cut off
        * Updated language files: Finnish (fi), German (de), Ukrainian (uk),
          English (en_CA), English (en_AU), English (en_GB), Russian (ru),
          Galician (gl), Malay (ms), Romanian (ro), Chinese (zh_TW)

5.13 - Jan 3 2015
-----------------
        * Fix for submitting new files in Analysis
        * Update for Virustotal API return results
        * Fix closing Results window exits program
        * Fix "extra" translation in Scan finish
        * Fix Results window doesn't show in some situations
        * Fix scan statistics not resetting after scan

5.12 - Dec 24 2014
------------------
        * Fix for mouse focus issue in history window
          (Google Issue #29)
        * Add delete keybinding to history window
        * Fix error with analysis function where incorrect
          results were given
        * Add initial support for Trash. Thanks, Nikita!
        * Fix formatting issue when quarantining or deleting
          items in the Results panel

5.11 - Oct 31 2014
------------------
        * Fix for clamtk.py to right-click scan files with
          special characters
        * Minor improvements to the Update dialog; the new benefit
          is one-click signature updating vice two
        * Minor updates to help documentation (PUAs)
        * Minor improvement in Update Assistant
        * Updated language files: German (de), Brazilian
          Portuguese (pt_BR), Bulgarian (bg)

5.10 - Oct 2 2014
-----------------
        * Display total number of signatures properly. Thanks, Natalia!
        * Main window opens centered, which seems to prevent some
          display issues. Thanks, John!
        * Updated language files: Dutch (nl), Slovak (sk),
          Indonesian (id), French (fr), Polish (pl), Italian (it),
          Romanian (ro)

5.09 - Aug 29 2014
------------------
        * Release proper version for Ubuntu legacy (Google Issue #25).
          Thanks, Thom!
        * Fix check for updates issue due to change of ClamAV
          website
        * Updated language files: Uzbek (uz)

5.08 - Aug 24 2014
------------------
        * Add missing proxy code (Google Issue #20). Thanks, Uri!
        * Add the ability to submit files from the results
          window to be analyzed by Virustotal. This only works
          with more recent versions of Gtk2 - it does not
          work with Debian/CentOS, but does with Fedora and
          newer Ubuntu
        * Add more information on the quarantine directory in
          the README (Debian #689685). Thanks, Andreas!
        * Minor tweak to improve redrawing of main window
        * Updated language files: English (en_UK), German (de),
          Chinese (zh_TW), Hebrew (he), Galician (gl), Russian (ru),
          Finnish (fi), English (en_AU), Malay (ms), French (fr)

5.07 - June 12 2014
-------------------
        * Fix to make ClamTk show up again in Dash and
          other areas (clamtk.desktop);
          the OnlyShowIn portion from 5.06 removed it
        * Improve two tooltips in Settings panel
        * Minor fix to wording in Update panel
        * Standardize locale files permissions
        * Updated language files: Arabic (ar), German (de),
          Azerbaijani (az), English (en_AU), Galician (gl),
          French (fr), Tamil (ta), Ukrainian (uk), Uzbek (uz),
          Finnish (fi), Romanian (ro), Spanish (es), Hebrew (he),
          Asturian (ast), Czech (cz), Dutch (nl), Malay (ms), Slovak (sk)

5.06 - May 3 2014
------------------
        * Add some extra arguments to scan to avoid scanning accidents
        * Actually remove zenity from dependencies (i.e.,
          from the build files); it was already removed from code in 5.05
        * Use OnlyShowIn in .desktop file
        * Minor update for dpkg installation instructions in Help files
        * Minor display fix for the progressbar in the legacy version
          (Google Issue #17)
        * Temporary fix for incorrect text in Settings panel
        * Updated language files: Japanese (ja), Italian (it),
          German (de), Russian (ru), English (en_GB), Slovak (sk),
          Chinese (zh_TW)

5.05 - Mar 14 2014
------------------
        * Preference to use single or double click in the
          main interface on the icons. No restart required
          (Google Issue #7)
        * Fix Analysis FileChooserButton reset issue (again).
          This time, ensure it is disabled after submitting
          a new file
        * Minor encoding fix for Scan.pm, Quarantine.pm.
        * Minor fix to use current version, not 5.00, in $ua
          (Analysis.pm)
        * Minor regex fix in selecting directories (GUI.pm)
        * Removed last remnants of Gtk2::Tooltips, which
          is deprecated
        * Remove zenity portion which has never been used.
        * Remove non-Italian strings from Italian (it) language file
        * Standardize some words in Update.pm
        * Minor cleanup
        * Updated language files: Slovak (sk), Chinese (zh_TW),
          Italian (it), Dutch (nl), Bulgarian (bg), Czech (cs_CZ),
          Ukrainian (uk), Uzbek (uz), German (de), Finnish (fi),
          Asturian (ast), Galician (gl), Spanish (es), French (fr),
          Portuguese (pt), Hebrew (he), Brazilian Portuguese (pt_BR),
          Malay (ms)

5.04 - Feb 11 2014
------------------
        * Clear combobox text area after action
          (Launchpad #1276125)
        * Search button active without filename and
          update analysis reports (Launchpad #1276141)
        * Fix update problem (Google Issue #4, Launchpad #1273165)
        * Updated language files:  Polish (pl), German (de),
          Bulgarian (bg), Azerbaijani (az), Spanish (es), Uzbek (uz)

5.03 - Jan 19 2014
------------------
        * Re-add scheduler (Google Issue #1). This adds
          cron or cronie back as a dependency
        * Update requirement for some distros to
          gnome-icon-theme-full, and gnome-icon-theme for some
          distros (Google Issue #2); for Fedora, it seems we
          need gnome-icon-theme-legacy. Depends on the distro.
        * Remove extra gettext subs
        * Fix ugly copyright symbol
        * Update year in multiple places, 2013 -> 2014
        * Minor help documentation and man page tweaks
        * Updated language files: Slovak (sk), Punjabi (pa),
          Brazilian Portuguese (pt_BR), Finnish (fi), Polish (pl),
          Ukrainian (uk), Malay (ms), Spanish (es), Chinese (zh_CN),
          Bulgarian (bg), Czech (cs), Asturian (ast), Galician (gl),
          Latvian (lv), Serbian Latin (sr@latin), Dutch (nl),
          English (en_UK), Indonesian (id), Marathi (mr), Hebrew (he)

5.02 - Dec 21 2013
------------------
        * Add gnome-icon-theme to requirements (mostly affects
          KDE-based systems like Kubuntu; it's pretty standard
          with most distros)
        * Update statusbar after saving update preferences
        * Add missing icon in Nautilus context menu
        * Remove unused (notify-send and more) code from App.pm
        * Ensure FileChooserButton cannot be clicked with
          nothing (due to inability to reset)
        * Remove deprecated encoding pragma
        * Updated language files: Bulgarian (bg), Czech (cs),
          Slovak (sk), Chinese (zh_CN), Irish (ga)

5.01 - Nov 21 2013
------------------
        * Fix minimum Gtk2 version to >= 1.241
        * Fix parsing issue on paths with spaces and
          special characters
        * Update VT file size limit
        * Correct quarantine sorting from lexical to
          spaceship operator (numerically ascending)
        * Allow quarantine scrollwindow to actually scroll
        * Results columns are now resizable
        * Updated language files: English (en_CA), Finnish (fi),
          Spanish (es), Greek (el_GR), Chinese (zh_CN),
          Azerbaijani (az), Uyghur (ug), Dutch (nl)

5.00 - Nov 9 2013
------------------
        * Right-click file manager support;
          uses nautilus-python
        * Use of Virustotal API; requires perl-JSON
          and perl-LWP-Protocol-https
        * Now using Time::Piece instead of Date::Calc;
          it's a Perl built-in
        * Now using Digest::SHA (sha256) instead of Digest::MD5
        * Built-in documentation (requires yelp);
          currently English only...
        * Updated language files: German (de), Bulgarian (bg),
          Galician (gl), Ukrainian (uk), Russian (ru),
          English (en_UK), Malay (ms), Hebrew (he), Italian (it),
          Dutch (nl), Asturian (ast), Uzbek (uz), Chinese (zh_TW)
          Finnish (fi), Spanish (es), Croatian (hr), Marathi (mr),
          Chinese (zh_CN), Slovak (sk), Indonesian (id), Latvian (lv),
          Azerbaijani (az)
        * New homepage (http://code.google.com/p/clamtk/) and
                https://bitbucket.org/dave_theunsub/clamtk).

4.46 - Aug 16 2013
------------------
        * Minor bug fix for recursive option.  Thanks, Laurent!
        * Added English (en_CA) language file.  Thanks, A_Bunny!
        * Updated French (fr) language file. Thanks, Nicolas!
        * Updated Galician (gl) language file. Thanks, Marcos Lans!
        * Updated Polish (pl) language file.  Thanks, Michał!

4.45 - May 21 2013
------------------
        * Fixed and improved submit file for analysis
          functionality. Thanks to those who reported the
          bug and tested the fix!
        * Updated date information (2012 -> 2013).
        * Updated Asturian (ast) language file. Thanks, Xuacu!
        * Updated Bulgarian (bg) language file. Thanks, Atanas!
        * Updated Croatian (hr) language file. Thanks, freedomrun!
        * Updated Danish (da_DK) language file. Thanks, Ask!
        * Updated Finnish (fi) language file. Thanks, Jiri!
	* Updated Lithuanian (lt) language file. Thanks, Mantas!
        * Updated Polish (pl) language file. Thanks, Mike!
        * Updated Spanish (es) language file. Thanks, evanjt!
        * Updated Thai (th) language file. Thanks, Kantinan!

4.44 - Dec 22 2012
------------------
	* Update gvfs directory location, which moved from
          /home/$user/.gvfs to /run/user/$user/gvfs.  This is
          standard now with Ubuntu 12.10 and Fedora 17
	* Add missing ignore-gvfs-mounts option to scheduled
          scans. Thanks, Matthew!
	* Copy bytecode.cld when changing to manual updates.
	* Updated Finnish (fi) language file. Thanks, Jiri!

4.43 - Dec 2 2012
------------------
	* Begin using Keyword entry in .desktop file
          (Launchpad #1050803)
	* Added Afrikaans (af) language file. Thanks, Dawid!
	* Added Marathi (mr) language file. Thanks, Shashank!
	* Updated Greek (el_GR) language file. Thanks, Sterios!
	* Updated Italian (it) language file. Thanks, Valter!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Uzbek (uz) language file. Thanks, Baxtiyor!
	* Updated Spanish (es) language file. Thanks, Javier!
	* Updated German (de) language file. Thanks, Hendrik!
	* Updated Slovak (sk_SK) language file. Thanks, Eduard!
	* Updated Czech (cs) language file. Thanks, Pavel!
	* Updated Indonesian (id) language file. Thanks, Arief!
	* Updated Lithuanian (lt) language file
      (Launchpad #1080589). Thanks, Mantas!

4.42 - Sep 12 2012
------------------
	* Added tooltips in scanning preferences for
      clarity; other minor tweaks. Thanks, Liviu!
	* Removed unnecessary buttons in Prefs dialog.
	* Updated French (fr) language file. Thanks, Nicolas!
	* Updated Russian (ru) language file. Thanks, Oleg!
	* Updated Hebrew (he) language file. Thanks, Yaron!
	* Updated Chinese simplified (zh_CN) language file. Thanks, Wylmer!
	* Updated Malay (ms) language file. Thanks, abuyop!
	* Updated Galician (gl) language file. Thanks, Miguel!
	* Updated Chinese traditional (zh_TW) language file. Thanks, Pin-hsien Li!
	* Updated Ukrainian (uk) language file. Thanks, Yuri!
	* Updated Turkish (tr) language file. Thanks, Muhammet!
	* Updated Brazilian Portuguese (pt_BR) language file. Thanks, Rafael!
	* Updated Asturian (ast) language file. Thanks, Xuacu!
	* Updated English (en_GB) language file. Thanks, Anthony!
	* Updated Basque (eu) language file. Thanks, Asier!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Spanish (es) language file. Thanks, Eduardo!
	* Updated Czech (cs) language file. Thanks, Pavel!
	* Updated Faroese (fo) language file. Thanks, Jógvan!
	* Updated Finnish (fi) language file. Thanks, Jiri!
	* Updated Uyghur (ug) language file. Thanks, Sahran!

4.41 - Jun 1 2012
------------------
	* Actually remove File::Find::Rule from ClamTk sources,
	  which should have been done in 4.40. This could cause
	  problems with Debian-based distros which can remove
	  unneeded dependencies

4.40 - May 25 2012
------------------
	* Improvements to startup/scanning time, especially for full
	  system scans. (Launchpad #697614)
	* Removed "Ready" and "Elapsed time" fields. Kind of
	  pointless and makes the other two fields more clear
	* Removed some debugging statements left from 4.39
	* Removed use of File::Find::Rule (for now)
	* Updated Finnish (fi) language file. Thanks, Jiri!
	* Updated Spanish (es) language file. Thanks, Paco!
	* Updated Slovak (sk_SK) language file. Thanks, Eduard!
	* Updated French (fr) language file. Thanks, Nicolas!
	* Updated Telugu (te) language file. Thanks, Praveen!
	* Updated Greek (el_GR) language file. Thanks, Sterios!
	* Updated Galician (gl) language file. Thanks, Marcos Lans!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated German (de) language file. Thanks, Hendrik!

4.39 - Apr 21 2012
------------------
	* Removed engine out of date warning.
	  Worst. Thing. Ever.
	  Removing Net::DNS as requirement and other
	  minor things
	* Some utf-8 encoding fixes for Scheduler and Histories.
	  (Launchpad #978566).  Thanks to Yuan Fei for pointing them out!
	* Added option to delete duplicate signature databases.
	  Enabled by default
	* Using sigtool to parse signature db files rather than manually
	  This way, if the format is changed, the information should
	  still be valid
	* Added warning for when signature updates failed, which can
	  happen when (e.g.) mirrors are not working
	* Added Uzbek (uz) language file. Thanks, Akmal!
	* Added Telugu (te) language file. Thanks, Praveen!
	* Updated Spanish (es) language file. Thanks, Fitoschido!
	* Updated Hebrew (he) language file. Thanks, Yaron!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Chinese traditional (zh_TW) language file. Thanks, Pin-hsien Li!
	* Updated Ukrainian (uk) language file. Thanks, Yuri!
	* Updated Chinese simplified (zh_CN) language file. Thanks, ZhangCheng!
	* Updated Asturian (ast) language file. Thanks, Xuacu!
	* Updated Galician (gl) language file. Thanks, Fran!
	* Updated Basque (eu) language file. Thanks, Asier!
	* Updated Russian (ru) language file. Thanks, Oleg!
	* Updated Bosnian (bs) language file. Thanks, Kenan!
	* Updated English (en_GB) language file. Thanks, Anthony!
	* Updated Malay (ms) language file. Thanks, abuyop!
	* Updated Italian (it) language file. Thanks, Valter!
	* Updated Indonesian (id) language file. Thanks, Hertatijanto!
	* Updated Brazilian Portuguese (pt_BR) language file. Thanks, Celio!
	* Updated Slovak (sk_SK) language file. Thanks, Eduard!
	* Updated Slovene (sl) language file. Thanks, Andrej!
	* Updated German (de) language file. Thanks, Daniel!
	* Updated Finnish (fi) language file. Thanks, Jiri!
	* Updated Uyghur (ug) language file. Thanks, Sahran!
	* Updated Danish (da_DK) language file. Thanks, Ask!
	* Updated French (fr) language file. Thanks, Mathieu!

4.38 - Mar 22 2012
------------------
	* New icon for use (Launchpad #637940)
	  Thanks, Skyler!
	* Fix for crontab (Launchpad #943713). Thanks, Nobuto!
	  Note that you may have to delete and re-add
	  your scheduled scan if this problem affected you
	* Improvement for scanning from commandline
	  (Debian #659968, Launchpad #937084). Thanks, Michael!
	* Improve program name in AboutDialog
	* Updated Uyghur (ug) language file. Thanks, Sahran!
	* Updated Hebrew (he) language file. Thanks, Yaron!
	* Updated Chinese traditional (zh_TW) language file. Thanks, Pin-hsien Li!
	* Updated French (fr) language file. Thanks, Nicolas!
	* Updated English (en_GB) language file. Thanks, Vibhav!
	* Updated Galician (gl) language file. Thanks, Marcos Lans
	- Ciberirmandade!
	* Updated Asturian (ast) language file. Thanks, Xuacu!
	* Updated Spanish (es) language file. Thanks, Fitoschido!
	* Updated Russian (ru) language file. Thanks, Oleg!
	* Updated Italian (it) language file. Thanks, Valter!
	* Updated Malay (ms) language file. Thanks, abuyop!
	* Updated German (de) language file. Thanks, Daniel!
	* Updated Korean (ko) language file. Thanks, MinSik!
	* Updated Ukrainian (uk) language file. Thanks, Yuri!
	* Updated Czech (cs) language file. Thanks, Martin, Martin, and Zbyněk!
	* Updated Polish (pl) language file. Thanks, Łukasz!
	* Updated Greek (el_GR) language file. Thanks, Sterios and George!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Slovak (sk_SK) language file. Thanks, Tomáš!
	* Updated Basque (eu) language file. Thanks, Asier!
	* Updated Bulgarian (bg) language file. Thanks, Damian!
	* Updated Finnish (fi) language file. Thanks, Jiri!
	* Updated Bosnian (bs) language file. Thanks, Kenan!

4.37 - Feb 4 2012
-----------------
	* Added drag and drop
	* Fixed 1px line is left behind (Launchpad #880148)
	* Fix where the recursive option was not passed
	  to the scanner
	* Fix the count of files to be scanned (ClamAV
	  does not scan empty files)
	* Updated URLs for submitting malware and false
	  positives to ClamAV
	* Another minor improvement for the RTL override misery.
	* More obvious context menu for results. Thanks, Kyle!
	* More obvious notification during scanning start.
	* Updated Ukrainian (uk) language file.  Thanks, Yuri!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated English (en_GB) language file. Thanks, Philipp!
	* Updated Polish (pl) language file. Thanks, Michał!
	* Updated Hebrew (he) language file. Thanks, Yaron!
	* Updated Spanish (es) language file. Thanks, Fitoschido!
	* Updated Basque (eu) language file. Thanks, Asier!
	* Updated Asturian (ast) language file. Thanks,  Xuacu!
	* Updated Uyghur (ug) language file. Thanks, Gheyret!
	* Updated Chinese traditional (zh_TW) language file. Thanks, Pin-hsien Li!
	* Updated Brazilian Portuguese (pt_BR) language file. Thanks, Eugênio!
	* Updated Russian (ru) language file. Thanks, Oleg!
	* Updated Chinese simplified (zh_CN) language file. Thanks, Zhang Chen!
	* Updated Malay (ms) language file. Thanks, abuyop!
	* Updated Czech (cs) language file. Thanks, Konki!
	* Updated Slovene (sl) language file. Thanks, Martin!
	* Updated Slovak (sk_SK) language file. Thanks, Eduard!
	* Updated Lithuanian (lt) language file. Thanks, Mantas!
	* Updated French (fr) language file. Thanks, Viéville and Stanislas!
	* Updated German (de) language file. Thanks, Hendrik!
	* Updated Japanese (ja) language file. Thanks, Shushi!

4.36 - Oct 15 2011
------------------
	* Improvement for handling certain BiDi text malware
	  (e.g., RTL override).  Works well for some distros,
	  but some require a manual delete or quarantine
	* Do not display Results window unless threats are found
	* Keep Threats Found bolded if threats are found
	* Minor fix to status bar display
	* Icons removed from menubar
	* Added Indonesian (id) language file. Thanks, Hertatijanto!
	* Updated Slovak (sk_SK) language file. Thanks, Eduard!
	* Updated English (en_GB) language file. Thanks, Max!
	* Updated Spanish (es) language file. Thanks, Fitoschido!

4.35 - Sep 8 2011
-----------------
	* Fix for very slow scanning affecting small number
	  of users. (Launchpad #832604)
	* Fix toolbar to show all buttons, no arrow.
	  (Launchpad #843708)
	* Minor fix to AV wizard
	* Fix to elapsed timer not resetting after scans
	* Updated Malay (ms) language file. Thanks, CL TAN!
	* Updated Slovak (sk_SK) language file. Thanks, Eduard!
	* Updated English (en_GB) language file. Thanks, Max!
	* Updated Polish (pl) language file. Thanks, Łukasz!
	* Updated Bosnian (bs) language file. Thanks, Samir!
	* Updated German (de) language file. Thanks, Gerjet!
	* Updated Spanish (es) language file. Thanks, Nelson!

4.34 - Aug 12 2011
-----------------
	* Fix regular expression in scanning portion
	  (Launchpad #787864)
	* Fix to display so that changing signature update method
	  refreshes to show current signature status
	* Fix to Last scan value.  Thanks, David!
	* Additional updates to clamtk.desktop file
	* Updated Uyghur (ug) language file. Thanks, Sahran!
	* Updated Chinese simplified (zh_CN) language file. Thanks, zhangmiao!
	* Updated Chinese traditional (zh_TW) language file. Thanks, Pin-hsien Li!
	* Updated Russian (ru) language file. Thanks, Sergey!
	* Updated Faroese (fo) language file. Thanks, Gunleif!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Malay (ms) language file. Thanks, abuyop!
	* Updated Turkish (tr) language file. Thanks, Muhammet!
	* Updated Brazilian Portuguese (pt_BR) language file. Thanks, André!
	* Updated Bosnian (bs) language file. Thanks, Kenan!
	* Updated French (fr) language file. Thanks, Pierre!
	* Updated Croatian (hr) language file. Thanks, gogo!
	* Updated Ukrainian (uk) language file.  Thanks, Roman!
	* Updated Spanish (es) language file. Thanks, VPablo!
	* Updated Galician (gl) language file. Thanks, Miguel!
	* Updated Hebrew (he) language file. Thanks, Yaron!
	* Updated Japanese (ja) language file. Thanks, Shushi!
	* Updated Asturian (ast) language file. Thanks,  Xuacu!
	* Updated Italian (it) language file. Thanks, emaTux and Valter!
	* Updated Bulgarian (bg) language file. Thanks, Svetoslav!

4.33 - Jun 10 2011
------------------
	* Fixed parsing of ClamAV version for CentOS display
	* Fixed parsing of AV signature dates.  Will now reflect
	  status with date as a tooltip
	* Sorting histories works again
	* Fixed a mismatched tooltip (Launchpad #790570)
	* Updated manpage to reflect Launchpad bug reporting link
	* Minor gui improvements (buttons, placement, reflecting
	  stats after AV wizard)
	* Now using the most current date of signatures (cld vs cvd,           if both exist).
	* No longer using .VIRUS extension for quarantined files. A
          fix is now in place to remove it from current files, and
          newly quarantined files will not use it at all
	* The formatting of saved virus logs has been improved
	* Added a pound sign to allowed characters in virus filenames
	  (as seen in recent UPS wave) for submission
	* Started updating the .desktop file (ie., missing
          translations, minor fixes)
	* Added Uyghur (ug) language file. Thanks, Gheyret and Sahran!
	* Updated Ukrainian (uk) language file.  Thanks, Sergey!
	* Updated Russian (ru) language file. Thanks, Dmitry!
	* Updated Chinese simplified (zh_CN) language file. Thanks, 英华!
	* Updated Finnish (fi) language file. Thanks, Jiri!
	* Updated Spanish (es) language file. Thanks, Fitoschido!
	* Updated Dutch (nl) language file. Thanks, Redmar!
	* Updated Chinese traditional (zh_TW) language file. Thanks, Pin-hsien Li!
	* Updated Italian (it) language file. Thanks, emaTux!
	* Updated Bosnian (bs) language file. Thanks, Zlatan!

4.32 - Apr 24 2011
------------------
	* Fixed the spacings of the main buttons.  These were changed
	  when Gnome removed images from buttons
	* Fixed an issue specific to CentOS where the wrong directory
	  gets checked for definitions, resulting in older
          definitions
	  This is because there are two directories for them:
          /var/lib/clamav (wrong) and /var/clamav (right)
	* Added Finnish (fi) language file. Thanks, Jiri!
	* Updated Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Chinese (zh_CN) language file. Thanks, zhangmiao!
	* Updated Hungarian (hu) language file. Thanks, Papp!
	* Updated Danish (da_DK) language file. Thanks, Pillum!
	* Updated Malay (ms) language file. Thanks, CL TAN!
	* Updated Turkish (tr) language file. Thanks, Ekrem!
	* Updated French (fr) language file. Thanks, Nicolas!
	* Updated Galician (gl) language file. Thanks, Marcos Lans
	  - Ciberirmandade!
	* Updated Japanese (ja) language file. Thanks, Hajime!
	* Updated German (de) language file. Thanks, Kraven!
	* Updated Lithuanian (lt) language file. Thanks, Mantas!
	* Updated Slovene (sl) language file. Thanks, Martin!
	* Updated Spanish (es) language file. Thanks, Fitoschido!
	* Updated Bosnian (bs) language file. Thanks, Zlatan!
	* Updated English (en_GB) language file. Thanks, ezekiel000!
	* Updated Dutch (nl) language file. Thanks, Rachid!
	* Updated Italian (it) language file. Thanks, Valter!
	* Updated Asturian (ast) language file. Thanks,  Xuacu!
	* Updated Brazilian Portuguese (pt_BR) language file. Thanks, Paulo!

4.31 - Jan 8 2011
-----------------
	* Minor fixes to quarantine restoration
	* Added an extra check to ensure files reviewed in
	  quarantine are regular files (and not directories)
	* Added option to scan or ignore files under ~/.gvfs and
	  ~/smb4k.  By default, the option is ignore. We'll expand
          this as needed. The idea is to allow or disallow
          scanning of smb-mounted drives
	* Scanning speed has been optimized by filtering unwanted
	  directories and files prior to collection phase. Thanks
	  to Dan for reporting this (Launchpad #697614)
	* Removed extraneous language strings. No point in
          having them; it's just extra work for the translators
	* Spec file dependency changed from clamav-data to
	  data(clamav) (Bugzilla #666226)
	* AV wizard now has (Gtk2::)Assistant interface
	* Added Catalan (ca_ES) language file. Thanks, Jordi!
	* Added Asturian (ast) language file. Thanks,  Xuacu!
	* Added Faroese (fo) language file. Thanks, Gunleif!
	* Updated Galician (gl) language file. Thanks, Marcos Lans
	  - Ciberirmandade!
	* Updated Turkish (tr) language file. Thanks, 58zarali and Burak!
	* Updated Croatian (hr) language file. Thanks, Saša!
	* Updated Korean (ko) language file. Thanks, Gina.C and Seung Soo!
	* Updated Spanish (es) language file. Thanks, Fitoschido!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Hebrew (he) language file. Thanks, Yaron!
	* Updated Brazilian Portuguese (pt_BR) language file. Thanks, Rodrigo!
	* Updated German (de) language file. Thanks, Hendrik!
	* Updated Hungarian (hu) language file. Thanks, Papp!
	* Updated Norwegian Bokmal (nb) language file. Thanks, A.H.!
	* Updated Bulgarian (bg) language file. Thanks, Svetoslav!
	* Updated Polish (pl) language file. Thanks, Michał and Adam!
	* Updated Chinese (zh_CN) language file. Thanks, Aron!
	* Updated Italian (it) language file. Thanks, Valter!
	* Updated Danish (da_DK) language file. Thanks, AJenbo!
	* Updated Bosnian (bs) language file. Thanks, Zlatan!
	* Updated Chinese traditional (zh_TW) language file. Thanks, Tseng!

4.30 - Nov 6 2010
-----------------
	* Added ability to submit files for analysis. Thanks to
	  ClamAV for permission!
	* Added missing 'gettext' word in GUI.pm. Thanks, Hendrik!
	* Updated .desktop file. Thanks, Hendrik!
	* Added Lithuanian (lt) language file. Thanks, Lulilo!
	* Added Bosnian (bs) language file. Thanks, Zlatan!
	* Updated Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Croatian (hr) language file. Thanks, Sinisa!
	* Updated German (de) language file. Thanks, Hendrik!
	* Updated Slovene (sl) language file. Thanks, Zlatan!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Galician (gl) language file. Thanks, Marcos Lans
	  - Ciberirmandade!
	* Updated Russian (ru) language file. Thanks, Oleg!
	* Updated Arabic (ar) language file. Thanks, someone!
	* Updated French (fr) language file. Thanks, Nicolas!
	* Updated Hungarian (hu) language file. Thanks, Papp!
	* Updated Hebrew (he) language file. Thanks, Yaron!
	* Updated Italian (it) language file. Thanks, Valter!
	* Updated Romanian (ro) language file. Thanks, Lucian!

4.29 - Sep 7 2010
-----------------
	* Clean up mail directory scan results. They will be
	  stripped completely until parsing is available
	* Removed mime-type associations
	* Minimal ClamAV is now >= 0.95
	* Updated Swedish (sv) language file. Thanks, David!
	* Updated German (de) language file. Thanks, Hendrik!
	* Updated Thai (th) language file. Thanks, Manop!
	* Updated Malay (ms) language file. Thanks, Ibrahim!
	* Updated Galician (gl) language file. Thanks, Marcos Lans
	  - Ciberirmandade!

4.28 - Aug 15 2010
------------------
	* Replaced hal with udev, as hal is deprecated
	* Update dialog shows AV engine results
	* Added Chinese traditional (zh_TW) language file. Thanks,
          thomasyen!
	* Updated Turkish (tr) language file. Thanks, Ekrem!
	* Updated Bulgarian (bg) language file. Thanks, Svetoslav!
	* Updated Swedish (sv) language file. Thanks, David!
	* Updated Ukrainian (uk) language file. Thanks, Auril!
	* Updated Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Slovene (sl) language file. Thanks, Martin!
	* Updated German (de) language file. Thanks, Hendrik!

4.27 - Jul 3 2010
-----------------
	* Added option to scan certain devices (USB, floppy, CD).
	  Note that this adds another .pm file - Device.pm and
	  dependency on hal (lshal). We cannot use Net::DBus because
	  CentOS does not have it
	* Removed unnecessary ClamAV 'Outdated' warning
	* Removed Carp dependency. Does not affect spec files
	* Removed outdated 'x-directory' mimetype from .desktop file
	* Added Basque (eu) language file. Thanks, Jon!
	* Updated Romanian (ro) language file. Thanks, Lucian!
	* Updated Italian (it) language file. Thanks, Valter!
	* Updated Croatian (hr) language file. Thanks, Saša!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Galician (gl) language file. Thanks, Marcos Lans
	  - Ciberirmandade!
	* Updated Hebrew (he) language file. Thanks, Yaron!
	* Updated Russian (ru) language file. Thanks, Oleg!
	* Updated Danish (da_DK) language file. Thanks, Joe!
	* Updated Korean (ko) language file. Thanks, Gina.C!
	* Updated Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Chinese (zh_CN) language file. Thanks, Eleanor!
	* Updated Romanian (ro) language file. Thanks, Lucian!
	* Updated Brazilian Portuguese (pt_BR) language file. Thanks, André!
	* Updated Japanese (ja) language file. Thanks, Hiroshi!
	* Updated German (de) language file. Thanks, Hendrik!
	* Updated Turkish (tr) language file. Thanks, Ekrem!
	* Updated Malay (ms) language file. Thanks, syzwn!
	* Updated Hungarian (hu) language file. Thanks, Gergely!
	* Updated Slovak (sk_SK) language file. Thanks, Tomáš!
	* Updated Spanish (es) language file. Thanks, Sandra C!
	* Updated Swedish (sv) language file. Thanks, David!
	* Updated Arabic (ar) language file. Thanks, Majd!

4.26 - Apr 30 2010
------------------
	* Minor improvements to Proxy dialog (#537278)
	* Re-added directory to mimetype associations
	* Added multiple selection to Results dialog for
	  quarantining and deleting files
	* Minor improvement to GUI update checking
	  (distinction between 'failed' and 'outdated')
	* Added cancel button to AV wizard
	* Removed deprecated mime type from desktop file (#587565)
	* Added Ukrainian (uk) language file. Thanks, Roman and yura!
	* Added Portuguese (pt) language file. Thanks, André!
	* Updated Czech (cs) language file. Thanks, Roman!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Arabic (ar) language file. Thanks, Nawaf!
	* Updated Japanese (ja) language file. Thanks, Hajime!
	* Updated Turkish (tr) language file. Thanks, Gürkan!
	* Updated Russian (ru) language file. Thanks, Roman and Berkut!
	* Updated Polish (pl) language file. Thanks, Bartosz!
	* Updated German (de) language file. Thanks, Hendrik!
	* Updated Bulgarian (bg) language file. Thanks, Svetoslav!

4.25 - Mar 5 2010
-----------------
	* Fixed restore error, which had resulted in restored files
	  not having info removed from restore file
	* Fixed 'Proxy Settings should accept all valid chars' bug
	  (#530109). Thanks, webdb22!
	* Filehandles made more utf-8 friendly (#530722)
	* Updated English (en_GB) language file. Thanks, Anthony!
	* Updated Romanian (ro) language file. Thanks, Ionuț!

4.24 - Feb 27 2010
------------------
	* Added Proxy settings tab. Thanks to Julian for testing
	* Updated ClamTk icon. This is a new icon to replace
	  the old one from version 2.27, back in Jan 2007.
	  Thanks, Evans!
	* Fixed issues with Results window selections
	* Fixed minor issue with 'restore' function (added newline)
	* Fixed minor issue with reading histories
	* Added Thai (th) language file. Thanks, srawut!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Galician (gl) language file. Thanks, Marcos Lans
	  - Ciberirmandade!
	* Updated Hebrew (he) language file. Thanks, Yaron!
	* Updated Turkish (tr) language file. Thanks,
          keenblade and Ekrem!
	* Updated Croatian (hr) language file. Thanks, Saša!
	* Updated Korean (ko) language file. Thanks, Bundo!
	* Updated Malay (ms) language file. Thanks, Ibrahim!
	* Updated Danish (da_DK) language file. Thanks, nanker!
	* Updated Chinese (zh_CN) language file. Thanks, Aron!
	* Updated Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Brazilian Portuguese (pt_BR) language file.
          Thanks, André!
	* Updated Polish (pl) language file. Thanks, Stanisław!
	* Updated German (de) language file. Thanks, Lars!
	* Updated Russian (ru) language file. Thanks, Sergey!
	* Updated Romanian (ro) language file. Thanks, Adrian!
	* Updated Hungarian (hu) language file. Thanks, kontosman
          and Gergely!
	* Updated French (fr) language file. Thanks, François!
	* Updated Czech (cs) language file. Thanks, Roman!

4.23 - Jan 17 2010
------------------
	* Instead of asking for signature preferences for new
	  users, ClamTk will search for existing system signatures
	  and start like that. This way, it is much more ready
	  out of the box. It can still be switched through the
	  Rerun AV setup wizard dialog
	* No longer looking for daily.inc or main.inc directories
	  for av signatures
	* Will no longer die without clamscan; just won't run
	* Minor code cleanup and style update
	* Updated Swedish (sv) language file. Thanks, Petter!
	* Updated Galician (gl) language file. Thanks, Marcos Lans
	  - Ciberirmandade!
	* Updated French (fr) language file. Thanks, Nicolas!
	* Updated Hebrew (he) language file. Thanks, Yaron!
	* Updated Russian (ru) language file. Thanks, Petron!
	* Updated Italian (it) language file. Thanks, Milo!
	* Updated Russian (ru) language file. Thanks, Sergey!
	* Updated English (en_GB) language file. Thanks, Will!
	* Updated clamtk.desktop file to include Hebrew (he).
          Thanks, Yaron!

4.22 - Dec 25 2009
------------------
	* Directory whitelisting implemented
	  The system whitelist includes directories not scanned
	  by default; the user whitelist is a user-edited whitelist
	* Licensing text has been updated to reflect the text here:
	  http://dev.perl.org/licenses/
	* Minor fix to scheduler (hour goes too high)
	* Minor fix to show correct icon ('outdated AV signatures')
	  when no definitions are found
	* Mostly cosmetic changes to signature update process
	  (more descriptive)
	* Warnings of certain problems will now show up in the GUI
	  rather than stdout/stderr
	* Added a warning in the update dialog about running
	  as root
	* Added a cancel button for updates
	* Added forward/back buttons for scrolling through
          preferences.
	* Added quick freshclam.log truncate function for
	  regular users but not root. Most users don't view this
	  anyway, and will leave a few lines for debugging if
          necessary
	* Minor fixes to rpm spec files
	* Renamed Czech language file from cs_CZ to cs. This affects
	  the installation of the language file and the ability
          to use it.
	* Added initial Hebrew (he) language file. Thanks, Yaron!
	* Updated Galician (gl_ES) language file. Thanks, Marcos X!
	* Updated Turkish (tr) language file. Thanks, Gürkan!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Korean (ko) language file. Thanks, OopsLee!
	* Updated Romanian (ro) language file. Thanks, Adrian!
	* Updated Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Brazilian Portuguese (pt_BR) language file. Thanks, Felipe!
	* Updated Chinese (zh_CN) language file. Thanks, Aron!
	* Updated Danish (da_DK) language file. Thanks, Steffen!
	* Updated Bulgarian (bg) language file. Thanks, Svetoslav!
	* Updated German (de) language file. Thanks, Lars!
	* Updated French (fr) language file. Thanks, Nicolas and Steve!
	* Updated Spanish (es) language file. Thanks, Paco!
	* Updated Malay (ms) language file. Thanks, Ibrahim!
	* Updated Italian (it) language file. Thanks, Valter!
	* Updated Hungarian (hu) language file. Thanks, Muszela!
	* Updated Czech (cs) language file. Thanks, Kuvaly!
	* Updated Polish (pl) language file. Thanks, Michał!

4.21 - Dec 4 2009
-----------------
	* Minor fix for loop count in updater (Update.pm)
	* Minor updates to rpm spec file; more compliant
          with Fedora specs
	* Minor code cleanup
	* Updated Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Arabic (ar) language file. Thanks, ChArLoK_16!
	* Updated Danish (da_DK) language file. Thanks, Steffen!
	* Updated Slovene (sl) language file. Thanks, Danijel!
	* Updated Romanian (ro) language file. Thanks, Adi!
	* Updated Japanese (ja) language file. Thanks, Takahiro!

4.20 - Oct 31 2009
------------------
	* Added Restore functionality for quarantined files
	* Two buttons were missing gettext's for translation.
	  Instead of re-doing the language file, they were changed
	  to stock icons which already contain the proper
          translations.
	* The Histories listing is now sortable, ascending and
	  descending, via modification timestamp. Cannot do a sort
	  based on filename due to the naming scheme (#2881199)
	* ClamTk no longer dies without ClamAV's freshclam; rather,
	  signature updates just will not be an option
	* A few minor improvements based on Perl::Critic results
	* The rpm spec file has been reformatted and improved
	* Updated Bulgarian (bg) language file. Thanks, Svetoslav!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Galician (gl_ES) language file. Thanks,
          Lois/Ciberirmandade!
	* Updated Hungarian (hu) language file. Thanks, Muszela!
	* Updated Japanese (ja) language file. Thanks, Takahiro!
	* Updated Korean (ko) language file. Thanks, OopsLee!
	* Updated Malay (ms) language file. Thanks, Ibrahim!
	* Updated Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Romanian (ro) language file. Thanks, Adrian!
	* Updated Russian (ru) language file. Thanks, XPEH!
	* Updated Chinese (zh_CN) language file. Thanks, Tao Wei!
	* Updated Slovene (sl) language file. Thanks, Danijel!
	* Updated Spanish (es) language file. Thanks, Sandra!
	* Updated Turkish (tr) language file. Thanks, Gürkan!
	* Updated Czech (cs_CZ) language file. Thanks, Kuvaly!
	* Updated Italian (it) language file. Thanks, David and
          Nicola!
	* Updated German (de) language file. Thanks, Fred!
	* Updated Brazilian Portuguese (pt_BR) language file.
          Thanks, Felipe!

4.19 - Oct 6 2009
-----------------
	* Fixed minor crash on startup for new users
	* Replaced scanning options bar, Load Scan Preferences
	  and Save Scan Preferences with a combined Preferences
	  window. This window has additional options as well now
	* Added Bulgarian (bg) language file. Thanks, Svetoslav!
	* Updated Dutch (nl) language file. Thanks, Rob!
	* Updated Brazilian Portuguese (pt_BR) language file.
          Thanks, Felipe!
	* Updated Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Korean (ko) language file. Thanks, OopsLee!
	* Updated Malay (ms) language file. Thanks, Ibrahim!
	* Updated Slovene (sl_SI) language file. Thanks, Martin!
	* Updated Turkish (tr) language file. Thanks, Gürkan!
	* Updated Chinese (zh_CN) language file. Thanks, Aron!
	* Updated Russian (ru) language file. Thanks, Vitaly!
	* Updated Galician (gl_ES) language file. Thanks,
          Lois/Ciberirmandade!
	* Updated Japanese (ja) language file. Thanks, Hajime!
	* Updated Romanian (ro_RO) language file. Thanks, Adrian!
	* Updated French (fr) language file. Thanks, Sébastien!
	* Updated Danish (da_DK) language file. Thanks, Steffen!
	* Updated Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Czech (cs_CZ) language file. Thanks, Tomáš!
	* Updated Dutch (nl_BE) language file. Thanks, Frederik!
	* Updated Spanish (es) language file. Thanks, Sandra!
	* Updated German (de) language file. Thanks, Andy!
	* Updated Hungarian language file. Thanks, Tamás!

4.18 - Sep 19 2009
------------------
	* Added capability to schedule daily scans and
	  definitions updates. This adds the requirement 'crontab'
	  (Fedora: crontabs, Debian: cron, CentOS: vixie-crontab)
	  as well as a new file (Schedule.pm) to the ClamTk
	  package itself. If crontab is not installed, the option
	  is disabled
	* Added ability to rerun the AV selection wizard
	  (single-user, system-wide). This is much easier than
	  manually editing a .ini preferences file
	* Added a couple more directories to the 'avoid-these-
	  directories-they-might-be-email-related' group
          (kmail, Mail).
	* Removed requirement for Perl module Config::Tiny.
	  It does not contain the "set" method it is supposed
	  to have, so there's no point keeping it
	* Changed path of *.pm to standard Perl library modules.
	  We are now rpmlint clean! Thanks, Jerome!
	* Listing of contributors is now hosted on the website
	  rather than the program itself
	* Added /var/db/clamav for FreeBSD paths in a couple
          more spots
	* Minor cosmetic display to improve top_label readability
	* Personal directory permissions are 755 now, rather
          than 777.
	* Added Hungarian language file. Thanks, Tamás!
	* Added Norwegian Bokmal (nb) language file. Thanks, Jim!
	* Updated Chinese (zh_CN) language file. Thanks, Aron!
	* Updated Dutch (nl_NL) language file. Thanks, Rob!
	* Updated Malay (ms) language file. Thanks, Ibrahim!
	* Updated Japanese (ja) language file. Thanks, Hajime!
	* Updated Korean (ko) language file. Thanks, Jongwoo!
	* Updated Dutch (nl_BE) language file. Thanks, Frederik!
	* Updated Brazilian Portuguese (pt_BR) language file.
	  Thanks, Felipe!
	* Updated Russian (ru) language file. Thanks, Vitaly!
	* Updated Slovene (sl_SI) language file. Thanks, Martin!
	* Updated French (fr) language file. Thanks, Sébastien!
	* Updated Swedish (sv) language file. Thanks, Hasse!
	* Updated German (de) language file. Thanks, Andy!
	* Updated Galician (gl_ES) language file. Thanks,
          Lois/Ciberirmandade!
	* Updated Spanish (es) and Polish (pl) language files.
          Thanks, all!

4.17 - Aug 08 2009
------------------
	* Minor cosmetic update to show a dialogue while gathering
	  files to scan, rather than appearing to have stalled
	* Danish (da_DK) language file updated. Thanks, Steffen!
	* Brazilian Portuguese (pt_BR) language file updated.

4.16 - Jul 11 2009
------------------
	* Added Recursive checkbox option to main GUI. Enables
	  easier recursive scanning and allows end user to
	  save it as a default option. Closes 2809742
	* Changed po/clamtk.po to po/clamtk.pot. Closes
	  2809747. Thanks, David!
	* Removed deprecated encoding from .desktop file. Also
	  changed category as noted. Closes 2809737. Thanks, David!
	* Improved spacing in Scan and Actions frames.
	* Added /var/db/clamav for FreeBSD path.
	* Changed right-click action back to solely MS files.
	* Added English (en_GB) language file. Thanks, Jen!
	* Added Malay (ms) language file. Thanks, Ibrahim!
	* Added Norwegian Nynorsk (nn) language file.
          Thanks, krisstaar!
	* Added Croatian (hr) language file. Thanks, microscan!
	* Updated German language file. Thanks, Andreas!
	* Updated Arabic language file. Thanks, Nawaf!
	* Updated Chinese language file. Thanks, Aron!
	* Updated Korean language file. Thanks, Oopslee!
	* Updated Turkish language file. Thanks, Gürkan!
	* Updated Japanese language file. Thanks, Takahiro!
	* Updated Czech language file. Thanks, René!
	* Updated Dutch (nl_NL) language file. Thanks, Rob!
	* Updated Dutch (nl_BE) language file. Thanks, Frederik!
	* Updated Polish (pl) language file. Thanks, Michał!

4.15 - Jun 20 2009
------------------
	* DNS improvements added (App.pm) for comparing AV engine
	  versions. This fixes an excessive timeout problem
	  Special thanks to everyone who reported it and OpenDNS
	  for assistance in the fix!
	* Added Arabic language file. Thanks, Nawaf!

4.14 - Jun 13 2009
------------------
	* Fixed crash when not connected to the Internet. Thanks,
	  Jean-Luc!
	* Updated Chinese (zh_CN) language file. Thanks, Aron!
	* Updated Dutch (nl_NL) language file. Thanks, Rob!
	* Updated rpm spec file (desktop-file-install).
	* Improved display of updater dialog

4.13 - May 25 2009
------------------
	* Added Dutch (nl_BE) language file. Thanks, Frederik!
	* Added Greek (el_GR) language file. Thanks, Alexandros!
	* Updated Romanian (ro_RO) language file. Thanks, Adrian!
	* Minor updates to Spanish language file. Thanks!
	* Updated desktop file
	* Several tweaks to Debian/Ubuntu build
	* Removed clamtk-kde.desktop file

4.12 - Apr 25 2009
------------------
	* Added Turkish (tr) language file. Thanks, Gürkan!
	* Updated French (fr) language file. Thanks, Sébastien!
	* Updated Brazilian (pt_BR) language file. Thanks, Felipe!
	* Updated Spanish (es_ES) language file. Thanks, Dairon!
	* Added clamav-update to CentOS spec file requirements for
	  freshclam functionality.
	* Added Net::DNS requirement and removed bind requirement.
	  This is installed by default on most Linux systems. Thanks,
	  Alceu! I will look for a way to eventually remove this
	  requirement, though.

4.11 - Mar 22 2009
------------------
	* Debian-only fix: clamtk.desktop file fixed.
	  (use the correct image, on right-click).
        * Added Slovak (sk_SK) language file. Thanks, Tomas!
        * Updated Spanish (es_ES) language file. Thanks, Heriberto!
        * Updated Korean (ko_KR) language file. Thanks, Jongwoo!
        * Minor French (fr) language file fixes. Thanks, David!

4.10 - Feb 18 2009
------------------
	* Fixed situation where signatures were not
	  accurately counted. Thanks, Paul and Brett
	* Re-added Debian patches, mistakenly removed

4.09 - Feb 14 2009
------------------
        * Added missing gettext() in Update.pm. Thanks, Eun Joon!
	* Updated Swedish language file. Thanks, Petter!
	* Updated Czech (cs_CZ) language file. Thanks, Karel!
	* Updated Korean (ko_KR) language file. Thanks, Eun Joon!

4.08 - Dec 28 2008
------------------
	* Minor fix to correct parsing of scanned files. Thanks, Tom!
	* The status of moved files is now shown clearly
	* Minor fix for when ClamTk attempts to scan
          non-readable directories
	* Improved directory listing in history log

4.07 - Dec 20 2008
------------------
	* Added missing module requirement File::Copy
	* Fixed some save-as dialogs

4.06 - Dec 07 2008
------------------
	* Fixed the way we check the status of the AV engine. This
	  requires the "host" command, which is pretty standard on
	  most Linux distros. For Fedora, it's "bind-utils"; for
	  Debian, it's "bind9-host". I'm still adding it to the
	  requirements just to be safe

4.05 - Nov 28 2008
------------------
	* Fixed issues with commandline options (parsing
          full path or filename). This requires the Cwd module,
          but should not require any changes to overall dependencies
	* Updated Slovene language file to 4.x series
          Thanks, Martin!
	* Updated Italian language file to 4.x series
          Thanks, Alessandro!
	* Fixed two issues with the saving of settings. Thanks, Rick!
	* Temporarily removed startup delay. It will return shortly

4.04 - Nov 16 2008
------------------
	* Minor language update: from "scanned your system recently"
	  to "Date of last virus scan", to avoid confusion
	* Changed ClamAV engine test to startup for testing
	  whether or not it's current
	* Fixed a condition where ClamTk was not finding the
	  signatures
	* Will temporarily maintain Debian builds
        * Updated Chinese language file to 4.x series. Thanks, Aron!
        * Updated Swedish language file to 4.x series. Thanks, Petter!

4.03 - Nov 9 2008
------------------
	* Updated Polish, French, Russian and Brazilian
          language files to 4.x series. Thanks to
          Piotr, Arnaud, Vitaly, Bruno and Fabrice!
	* Added a few missing "gettext" areas. Thanks,
          Arnaud and Bruno!
	* Improved the display of the output of infections and
          the logs.  Thanks, Arnaud!
	* Added more descriptive dialog information during updates
	* Finally changed the clamtk.xpm icon from the ClamAV icon

4.02 - Oct 26 2008
------------------
	* Fixed encoding problems. Thanks, Marcin!
	* Removed rar/unrar functionality altogether. I originally
	  thought only Debian/Ubuntu and CentOS had removed it from
	  ClamAV, but apparently so has OpenSuSE and who knows
	  what other distros. Better to just remove it altogether
	* Updated Korean language file to 4.x series. Thanks, Gina!
	* GUI wording fixed (duplicate use of 'thorough').
          Thanks, Fabrice!
	* Applied permissions fix for a possibly Debian-only problem
	  during signature updates. Thanks, David!
	* Changed a "die" into a "warn" for a condition where ClamTk
	  finds only one part of the virus signatures. Thanks, David!
	* Fixed a condition where the signature updater will almost
	  always return "Update failed"

4.01 - Oct 19 2008
------------------
	* Added missing Locale::gettext to startup script (clamtk)
	  and others. This fixes a rare error message
	* Added error message for failed config file writes
	* Added missing requirement "zenity" to spec file
	* Updated README documentation to 4.x series
	* Updated the clamtk.po language file template
	* Updated the Dutch (nl) language file. Thanks, Rob!
	* Fixed spacing issue to prevent stretching of text in
	  the Actions frame.
	* Fixed condition where GUI update check was returning
	  incorrect status

4.00 - Oct 13 2008
------------------
	* There are quite a few changes in this release.
	  Among the most notable is the ability of any user
	  to maintain their own sig database and update them.
	  Please see the file "README.4.0" for more

3.11 - Aug 28 2008
------------------
	* Added Japanese language file. Updated *.desktop
	  files. Thanks Hajime!
	* Updated Italian language file. Thanks Alessandro!
	* Updated Chinese language file. Thanks Aron!
	* Changed German language file to UTF-8
          (Launchpad Bug 247356)
	* Improved virus signature location detection
	* Removed the "resizing of the window" effect
          (Sourceforge bug; Request ID 1999249)

3.10 - Jun 14 2008
-------------------
	* Improved readability in menubars. Thanks Fabrice!
	* Updated French language file. Thanks Fabrice!
	* Updated Korean language file. Thanks Gina C!
	* Updated Dutch language file. Thanks Rob!
	* Added temporary block for email directories (.thunderbird,
	  .mozilla-thunderbird, .evolution) - do not
	  quarantine or delete possible viruses. ClamTk cannot parse
	  individual files from there yet. Should probably add
	  the .mozilla directory since some email directories may
	  be there as well
	* Added the newer clamtk-kde.desktop file, which contains
	  Dutch language support. (Still available as a separate
	  package)
	* Changed clamtk.desktop file Icon line from
          clamtk.png to clamtk because some specification
          I've never heard of told me to.

3.09 - May 25 2008
------------------
	* Added support for .cld files
	* Added Dutch language (nl_NL) file. Thanks Rob!

3.08 - Feb 5 2008
-----------------
	* Fixed symbolic links/recursion bug. Thanks, David!
	* Fixed display error - incorrectly displaying
          100%, occurring at 255-file intervals
	* Fixed CentOS bug where definitions were not accurately
	  counted. Includes fix so Ubuntu will count correctly
          as well
	* Minor fix with formatting (substr outside of string error)
	* Minor fix to enfoce not scanning /proc, /sys, or /dev
	* Neater parsing with version of ClamAV
	* Korean language file added. Thanks, chopchey!
	* Romanian language file added. Thanks, Veronica!
	* Italian language file updated. Thanks, Alessandro!
	* Updated French language file. Thanks, David!
	* Minor cleanups, including removing 40 lines of excess code.
	* The clamtk-kde.desktop file will be included, at least
	  temporarily. There is no real difference between this
	  and the one in its own package

3.07 - Jan 19 2008
------------------
	* No longer supporting ClamAV < 0.90. This should
          be okay - most distros are onto 0.90+
	* Added the Slovene (sl_SI) language file. Thanks, Martin!
	* Updated the Italian (it_IT) language file.
          Thanks, Alessandro!
	* New dependency: Perl module Config::Tiny.
          RPM distros usually name this perl-Config-Tiny;
          Debian-based systems usually name this
          libconfig-tiny-perl. This gives the ability to save scan
	  option settings between sessions through a simple
          "prefs" file

3.06 - Dec 30 2007
------------------
	* Ensure /var/lib/clamav is checked first so old definition
	  directories won't get picked up by accident.
          Thanks, Darren!
	* Updated mimetype associations. Thanks, Vito!

3.05 - Dec 15 2007
------------------
	* Changed save-as from copy to move - no point in keeping
	  the file in two places
	* Added options for Quick and Full Home Scans underneath the
	  'File' menu
	* Fixed a minor bug preventing the correct display of the
	  number of files scanned
	* Fixed a bug regarding scanning with large numbers of files.
	  Apparently there's a limit to the number of arguments a
	  program can receive at once... who knew? :)
          Thanks, Matthias!
	* Removed three duplicates from desktop file

3.04 - Sep 15 2007
------------------
	* Improvement to ensure all downloaded files are visible for
	  the save-as function

3.03 - Sep 13 2007
------------------
	* Added "Save As" function as a post-scan option. This is
	  useful for times when ClamTk intercepts a file download; it
	  can be scanned and then saved from its temporary folder
	* Added File::Copy to handle the above; since it is
	  distributed with Perl, it should not require any new
	  dependencies
	* Removed now-unused subroutine

3.02 - Sep 9 2007
-----------------
	* Galician language file (gl_ES) has been added. Thanks,
	  Román!
	* CentOS rpms now have the .el5 suffix. I don't actually HAVE
	  RHEL, but this is in line with Dag's naming
	* Re-added the out-of-date virus signatures warning

3.01 - Aug 31 2007
------------------
	* Small fixes to display the correct virus db information
	* Swedish language file added to Debian and FC3 builds

3.00 - Aug 8 2007
-----------------
	* Extended the signature updates time - it's usually needed
	* Fixed the Russian language file, which is now UTF-8.
	  Thanks, Vitaly!
	* Added a line for internal encoding. Thanks, Vitaly!
	* Added Swedish language file. Thanks, Petter!

2.99 - Jun 25 2007
-------------------
	* Removed hundreds of excess lines.
	* GUI changes.
	* Most language files updated.
	* The "Delete Infected Files" option has been removed.
	* "No Maximum Size" option has been added. It may be changed
	  in the future to allow for more choice.

2.32 - May 13 2007
------------------
	* Several more fixes, all affecting ClamAV 0.90 users
	  This will likely be the last 2.* release, barring any major
	  problems
	  Thanks to Reid T. for his generous time and help!

2.31 - Mar 24 2007
------------------
	* The Polish translation (pl_PL) has been updated and
	  now uses UTF-8. Thanks Robert (PLD)!

2.30 - Mar 10 2007
------------------
	* This release fixes issues when using ClamAV 0.90

2.29 - Mar 4 2007
-----------------
	* Will now use {daily,main}.cvd.rpmnew if {daily,main}.cvd
	  files are not found. This should only impact rpm-based
	  distros, and even then should only last until the user
	  runs freshclam to update

2.28 - Feb 24 2007
------------------
	* Added Czech (cs_CZ) language support. Thanks Karel!
	* Minor change to allow for mostly 0.90 rc support - probably
	  not totally ready yet

2.27 - Jan 11 2007
------------------
	* Testing new clamtk icon! Provide feedback!
	  Thanks to Gerald Ganson and http://openclipart.org.
	  Keeping the clamtk.xpm (new format) for the Debian .menu
	* Minor changes to be more backwards-compatible with
	  older versions of Gtk2
	* Improved size function to be more precise
	* Updated the .desktop file; may change this again

2.26 - Oct 28 2006
------------------
	* Fixed a display lag with files scanned and the display
	* Minor cleanups (improved two subs)
	* Extended the signature update timeout slightly

2.25 - Oct 18 2006
------------------
	* Fixed bug whereby files were not being deleted when
	  requested
	* A few other cleanups

2.24 - Sep 23 2006
------------------
	* Added additional language support - Spanish
          (es_ES), Polish (pl_PL)
	* Updated most translation files - fixes the change from 2.22
	  ("Select Files")
	* Extended the signature update timeout time. This is
	  because there have been more frequent - and therefore
          larger - updates. This was occasionally
          misinterpreted as not having been able to update

2.23 - Aug 13 2006
------------------
	* Recursive scanning works again
	* Updated rpm specfile. Thanks to Vitaly
	* Updated Brazilian (pt_BR) translation. Thanks to Andre M
	* Updated File selection to Gtk2 interface. Thanks to Andre M
	* Stop functionality has been improved

2.22 - Jul 29 2006
------------------
	* Added additional language support - Russian (ru_RU)
	* Multiple files can be selected with the "Scan a File"
	  option now

2.21 - Jul 04 2006
------------------
	* Added additional language support - French (fr_FR) and
	  Italian (it_IT)
	* Cleaned up the About dialog
	* The Italian and Danish translations and their lines
	  in the .desktop files were updated
	* Added /dev to list of directories (such as /proc and /sys)
	  where files cannot be automatically deleted
	* Minor gui enhancements

2.20 - Jun 17 2006
------------------
	* First i18n version - support for German (de_DE), Portugese
	  (pt_BR), Danish (da_DK), and Chinese (zh_CN)!
	  This requires a new requirement: perl-gettext
	* Removed clamtk.xml file
	* Changed initial warning dialog to be more generic and not
	  Fedora-centric (regarding the editing of freshclam.conf)

2.19 - May 15 2006
------------------
	* Added additional paths to look for daily.cvd and main.cvd
	  (/usr/share/clamav and /usr/local/share/clamav). Thanks
          to Ronny S
	* Fixed an issue where quarantined viruses were not being
	  removed (under "Empty Quarantine Folder"). Thanks to Ronny S
	* Improved older code (eg., format => printf);
          mostly PBP-compliant!
	* Re-added --block-encrypted to clamscan scanning options.
	  Obviously not all encrypted rars/zips are viruses, but this
	  may provide some warning for those that are

2.18 - May 06 2006
------------------
	* Finally fixed some column sizing issues in the display
	* Updated some .desktop file translations (fr,pl,pt,pt_BR ).
	  (Thanks to Alain B., PLD Linux, Andre F.)
	* Combined the View Histories and Manage Histories options
	  under the View tab

2.17 - Apr 22 2006
------------------
	* Removed delete option if scanning /proc or /sys to
	  avoid $bad_things. Scanning is still permitted
	* Able to release single Fedora Core rpm now rather than
	  a separate one for FC3 (due to outdated perl-Gtk2 rpm)
	* Changed the required clamav rpm version back to >= 83. The
	  latest and greatest clamav technically isn't required, although
	  it would be better to use it
	* Changed the required perl-Gtk2 version back to >= 1.102.
	  A small code change can check for which version is installed.
	  Thanks to Muppet
	* Changed max size of file scanned from 15MB to 20MB

2.16 - Mar 21 2006
------------------
	* Fixed bug where non-existant subroutine called
	  (due to it being renamed several versions ago)
	* The man page was cleaned up
	* Fixed Korean translation
	* FC3's perl-Gtk2 is outdated - separate release is necessary.

2.15 - Feb 12 2006
------------------
	* Fixed number of virus signatures count
	* Added option to hide the gui toolbar (ctrl-T)
	* Removed unnecessary Gtk2::SimpleMenu dependency
	* Re-added tooltips for right-click options
	* Added man page
	* Added some translations to the .desktop file
	  (German, French, Spanish, Italian, Korean, Chinese)
	* Changed arch of rpms to noarch since it's perl. They are
	  now rpmlint-clean
	* Removed fc4/fc3 from spec files. One rpm should suffice

2.14 - Jan 20 2006
------------------
	* Commandline options are accepted again. This goes towards
	  being able to right-click and scan via file browsers like
	  konqueror, nautilus, and eventually xffm
	* Added better warning for when "Delete" is selected from the
	  onset (toolbar)
	* Improved menubar code
	* Added Option to "Follow Symbolic Links". This could be used for
	  scanning certain directories, but may be removed if deemed
	  not useful
	* When files that are symbolic links and tagged as infected, the
	  target file is not quarantined or deleted, only the linked name
	  Added a warning to the README regarding this. This is in line
	  with the way 'clamscan --remove' works in the same situation
	* Added more keyboard shortcuts
	* Combined some popup code into the same subroutine

2.13 - Jan 1 2006
-----------------
	* Added right-click functionality to quarantine and delete
	  Should be much safer than initially selecting "Delete" (under
	  "Actions") and running it. This will prevent false-positive
 	  mistakes
	* Removed File::Copy as a dependency
	* Removed single-click tooltips on the SimpleList - they're
	  unnecessary now
	* Now using 'insert' to avoid using deprecated commands (toolbar)

2.12 - Dec 24 2005
------------------
	* Histories can now also be individually deleted
	* Added "--broken-executable" to clamscan options (under
          "Options"), which may be useful in some cases.
	* Added quick warning for when the Delete option
          (under "Actions") is selected
	* Removed LWP::Simple as a dependency, since it hasn't been used
	  or needed in quite some time. Spec and control
          files can be updated accordingly
	* Extended virus update timeout from 10 to 15

2.11 - Dec 10 2005
------------------
	* Fixed minor issue with getting files
	* Rows are now single-clicked for more info.
          Removed "sub row_clicked"
	  Attempted to make the status more readable

2.10 - Nov 27 2005
------------------
	* Fixed feature with the stop button where it crashed
          if the scanner wasn't running
	* Moved "directories scanned" feature back in (logs)

2.09 - Nov 26 2005
------------------
	* Fixed speed issue - should be very close to command line speed
	* Moved size column back in - had been removed to deal with some
	  issues

2.08: - Nov 11 2005
-------------------
	* Fixed justification problem with $top_label (set_justify) (?)
	* Fixed quarantine/delete bug where, when a file in an archive is
	  detected as a virus, it continues to try to quarantine/delete
	  the archive
	* Removed cabextract functionality
	* Removed "size" display. Size only comes into play when greater
	  than 15MiB (checked during the scan routine)
	* Using SIG{ALRM} for timeout on signature updates now
	* Not all file types are detected by the 'file' command -
	  added 'unknown' for these
	* FC3 spec file changed - now written for Fedora Extras.
	  This means that the ClamAV dependencies are clamav, clamav-lib,
	  and clamav-data

2.07 - Oct 22 2005
------------------
	* Fixed a bug which does not accurately display the total
	  number of files scanned (when "Show All Files" is NOT selected)
	* Fixed .cab detection bug (incorrect regex) which prevented
	  cabinet files from being scanned

2.06 - Aug 28 2005
------------------
	* Added maintenance false positive fix (rename file)
	* Fixed quarantine bug where additional ".VIRUS" was added
	* Added 'Directories Scanned' information to log
	* Startup now also searches under /usr/local/bin for required
  	  binaries in case of manual installation of those binaries.
	  (ie., /usr/bin/ or /usr/local/bin). This should make
	  it easier for porting and for folks who manually install
	  ClamAV

2.05 - Aug 20 2005
------------------
	* Added quarantine maintenance option for more
	  refined control over quarantined files
	* Minor bug fix

2.04 - Jul 17 2005
------------------
	* Support for scanning Cabinet files added

2.03 - Jul 9 2005
-----------------
	* Fixed multiple recursion-related bugs
	* Fixed freeze-up due to file-name interpretation
	* Minor code-cleanup

2.02 - Jul 3 2005
------------------
	* Fixed a bug where rars within rars were not handled
	  properly, causing a freeze-up
	* Added "Scan your home directory" button

2.01 - Jun 26 2005
------------------
	* Occasionally the window size will be skewed due to long
	  file names - the "Clear Output" button now resizes it back
	  to the normal size
	* The one-time popup window is now only for the root account,
	  since it only concerns root during the virus signature updates

2.00-2
------------------
	* Tweaked the spec file for use with fedora extras.
	  (clamav, clamav-update, clamav-data)
	* Changed location of daily.cvd - now under /var/lib/clamav
	* Added one-time popup window to warn users that the
	  fedora extras rpms do not automatically edit freshclam.conf
	  or clamd.conf

2.00 - Jun 11 2005
------------------
	* Code change: now using SimpleMenu for menu
	  generation because... well, it's simpler
	* Source is now in the form of clamtk-$VERSION.tar.gz
	* Other minor fixes

1.99 - May 18 2005
------------------
	* Added test for internet connection before launching
	  signature updates to avoid freeze-up. Still takes a minute
	  to timeout, though, if there are problems
	* File-type format tweaks
	* Removed text from stock-icons - they didn't
	  necessarily fit the description

1.98 - May 9 2005
-----------------
	* Fixed text glitch in history view/delete
	* Added confirmation dialog to "Delete Histories"
	* Minor gui tweaks - "System Information" now holds
	  ClamAV version, Signature Date, and Front-end version
	* Abbreviated menubar items (feature request)
	* Documentation (README) updated

1.97 - May 3 2005
-----------------
	* Fixed bug where some files were reported as an "Error"

1.96 - May 1 2005
-----------------
	* Moved the stop button to the top, which not only
	  looks smoother having all the images in the same row,
	  but makes the program run better too
	* Hitting the "Clear the output" button while the program
	  is still running isn't a problem per se, but it skews
	  the "double-click for more info" information. So, that's
	  been changed/fixed

1.95 - Apr 30 2005
------------------
	* Mostly cosmetic changes, to include a top toolbar
	  for more point-and-click-ability
	* Also began... gasp... commenting the code
	* I'm removing the "beta" tag, although it is - because
	  this (gtk2) is going to be the default now
	* This version "obsoletes" the Tk version, since I'll
	  be working full-time on the gtk2 version

1.94 - Apr 27 2005
------------------
	* Changed row-double-clicks to show full filename
	* Added Function-key shortcuts to the Scan Options selections,
	  just like the Tk version
	* Removed some worthless code
	* Fixed freeze-up during root's check for updates
	* Added some locale stuff in a BEGIN loop

1.93 - Apr 22 2005
------------------
	* Weird display problems during scanning AFTER
	  viewing histories has been temporarily fixed
	* File and Directory selection starts automatically in
	  the user's home directory

1.92
------------------
	* Oops, display problems fixed
	* Should run smoother now

1.91
------------------
	* Minor tweaks

1.90
------------------
	* Initial testing release of the Gtk2 version
	* Added a startup subroutine to combine all the
	  startup checks

1.0.10 - Mar 14 2005
--------------------
	* Tons more added to clamtk.pm, since I dorked the
 	  upload again with 1.0.9. :)
	* No longer checking for "corrupt" rars, since I'm
	  getting lots of false positives. That means we can
	  remove IO::File
	* Tweaked some of the {type} displays for neater
	  formatting
	* Not much else changed. No big whoop

1.0.9 - Mar 13 2005
-------------------
	* Tweaked virus-date function for better handling.
	* Added function-key binding for the "Scan Options"
	  (F1, F2, F3)
	* Changed key-binding for cvd_check to Ctrl-C.
	  Added key-bind Ctrl-S to Stop scanning; the stop
	  button is now a separate file for the rpm
	* Began move to clamtk.pm to reduce clutter - users
	  should not notice any real difference. For now, it's
	  stored in the same directory as README, etc., but that
	  may change

1.0.8 - Mar 7 2005
------------------
	* New feature: viewing and deleting the history
	  logs under the "View" button. Also, the Clear
	  Output option was moved to the View button since it
	  has nothing to do with Scan Options
	* More format and other tweaking
	* Finally removed background from clam.xpm

1.0.7 - Mar 4 2005
------------------
	* Re-fixed old bug which can detect gzips and bzips
	  as zip files...
	* Fixed "Scan File" crash bug
	* Removed dependency perl-Archive-Zip

1.0.6 - Feb 28 2005
-------------------
	* Experimental warning if viruses are >= 5 days old.
  	  Works, but uses (the awesome but slow) Date::Manip for
	  parsing. Date::Manip comes with FC3, so there shouldn't
	  be any major problems...
	* Fixed bug where, if scanning a zip/rar file's directory,
	  the stop button wouldn't work until that directory
 	  was empty
	* Tweaked the logging format - should be neater and easier
	  to read
	* Removed File::stat - using (stat($file))[7] now.
	  No sense using a module where it isn't needed
	* Quarantine startup check has been moved
	* The clam.xpm file has the Tk logo on it now. It's so
 	  small, no one will notice anyway

1.0.5 - Feb 26 2005
-------------------
	* 1.0.4 was a bad upload; sorry. This fixes some file
	  and directory parsing
	* Also, homemade encrypted rar-detection is no more.
	  Clamscan now does all the detection

1.0.4 - Feb 26 2005
-------------------
	* Socket files are not currently supported by ClamAV; this
	  is now correctly reflected if scanned. Also, links are no
	  longer followed
	* Another encrypted rar signature added. Gotta be an easier
	  way...
	* Minor tweaks, bug fixes, and code rewrites

1.0.3 - Feb 20 2005
-------------------
	* Certain file types return ridiculously long descriptions.
	  Descriptions are now limited to four words. This will be
	  tweaked again later
	* Encrypted rar detection was enhanced

1.0.2 - Feb 20 2005
-------------------
	* Removed need for File::Type. Using the system command "file"
	  produces much cleaner output (e.g., instead of "octet-stream"
	  for word documents, it now reports "Microsoft Office
	  Document")
	* Fixed bug where only file types beginning with "application"
    	  were being shown. This was blocking types like
	  "image/gif"
	* Added command-line gui option (thanks to Kevin O.)
	* Both unrar and rar rpms are accepted. Now, if unrar is not
	  installed but rar is, ClamTk will use rar

1.0.1 - Feb 14 2005
-------------------
	* Fixed unzip/unrar recursion problem
	* Fixed quarantine problem

1.0
-------------------
	* Certain files containing spaces were not being properly scanned
	* Re-added quarantine scanning, which was accidentally removed
	* Removed 'version'-check functionality since I'm moving the
	  project to sourceforge.net. Might be added later
	* Minor code tweaks

1.0-rc2
-------------------
	* Added new stop button (.xpm) which is included in the script,
          not as an extra file

1.0-rc1
-------------------
	* Included stop button (thanks to Kevin O.)

0.9.9.9
-------------------
	* Added the capability to rescan quarantined files
	* Viruses in the quarantine directory now have ".VIRUS" appended.
	  Also, permissions are changed on them

0.9.9.8
-------------------
	* Added the quarantine directory
